Package com.mouseviator.fsuipc.helpers.avionics

# Class NavRadioHelper.CodeFlags

java.lang.Object
com.mouseviator.fsuipc.helpers.avionics.NavRadioHelper.CodeFlags

Enclosing class:
  NavRadioHelper

    public class NavRadioHelper.CodeFlags
    extends java.lang.Object

Helper class to what code flags bits are set. You can obtain code flags using the `NavRadioHelper.getCodeFlags()` function and pass the result of the data request to an instance of this class to test the bits using its functions.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CodeFlags​(byte flags)` | Constructs a new instance of this class.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `byte` | `getFlags()` | Returns the flags value.
  `boolean` | `isDMEActive()` | Tests whether bit 0 - DME available, is set or not.
  `boolean` | `isDMEGSColocated()` | Tests whether bit 4 - DME/GS co-located (Not found for FSX), is set or not.
  `boolean` | `isGSAvailable()` | Tests whether bit 6 - GS available, is set or not.
  `boolean` | `isNoBackCourse()` | Tests whether bit 5 - No back course, is set or not.
  `boolean` | `isNoSignal()` | Tests whether bit 3 - No signal available, is set or not.
  `boolean` | `isStationActive()` | Tests whether bit 7 - This is a localiser (else it’s a VOR), is set or not.
  `boolean` | `isTACAN()` | Tests whether bit 1 - TACAN (Not found for FSX), is set or not.
  `boolean` | `isVoiceAvailable()` | Tests whether bit 2 - Voice available (Not found for FSX), is set or not.
  `void` | `setFlags​(byte flags)` | Set the flags value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CodeFlags

    public CodeFlags​(byte flags)
    Constructs a new instance of this class.
    Parameters:
      `flags` - The flags to initialize with.

- ## Method Details

  - ### setFlags

    public void setFlags​(byte flags)
    Set the flags value.
    Parameters:
      `flags` - The flags value.

  - ### getFlags

    public byte getFlags()
    Returns the flags value.
    Returns:
      The flags value.

  - ### isDMEActive

    public boolean isDMEActive()
    Tests whether bit 0 - DME available, is set or not.
    Returns:
      True if bit is set.

  - ### isTACAN

    public boolean isTACAN()
    Tests whether bit 1 - TACAN (Not found for FSX), is set or not.
    Returns:
      True if bit is set.

  - ### isVoiceAvailable

    public boolean isVoiceAvailable()
    Tests whether bit 2 - Voice available (Not found for FSX), is set or not.
    Returns:
      True if bit is set.

  - ### isNoSignal

    public boolean isNoSignal()
    Tests whether bit 3 - No signal available, is set or not.
    Returns:
      True if bit is set.

  - ### isDMEGSColocated

    public boolean isDMEGSColocated()
    Tests whether bit 4 - DME/GS co-located (Not found for FSX), is set or not.
    Returns:
      True if bit is set.

  - ### isNoBackCourse

    public boolean isNoBackCourse()
    Tests whether bit 5 - No back course, is set or not.
    Returns:
      True if bit is set.

  - ### isGSAvailable

    public boolean isGSAvailable()
    Tests whether bit 6 - GS available, is set or not.
    Returns:
      True if bit is set.

  - ### isStationActive

    public boolean isStationActive()
    Tests whether bit 7 - This is a localiser (else it’s a VOR), is set or not.
    Returns:
      True if bit is set.